﻿//
// ConsoleAppCSharp
//
// Copyright (c) 2022 https://www.curict.com
// This software is released under the MIT License, see LICENSE.txt.
//

// See https://aka.ms/new-console-template for more information


void sample1() {
    // 小文字を大文字に変換する
    string upperString = "hello world. ｈｅｌｌｏ ｗｏｒｌｄ。アイウエオ".ToUpper();

    // 結果 = HELLO WORLD. ＨＥＬＬＯ ＷＯＲＬＤ。アイウエオ
    Console.WriteLine(upperString);



    // 大文字を小文字に変換する
    string lowerString = "HELLO WORLD. ＨＥＬＬＯ ＷＯＲＬＤ。アイウエオ".ToLower();

    // 結果 = hello world. ｈｅｌｌｏ ｗｏｒｌｄ。アイウエオ
    Console.WriteLine(lowerString);
}


void sample2()
{
    // 小文字を大文字に変換する
    string upperString = "hello world. ｈｅｌｌｏ ｗｏｒｌｄ。アイウエオ".ToUpperInvariant();

    // 結果 = HELLO WORLD. ＨＥＬＬＯ ＷＯＲＬＤ。アイウエオ
    Console.WriteLine(upperString);



    // 大文字を小文字に変換する
    string lowerString = "HELLO WORLD. ＨＥＬＬＯ ＷＯＲＬＤ。アイウエオ".ToLowerInvariant();

    // 結果 = hello world. ｈｅｌｌｏ ｗｏｒｌｄ。アイウエオ
    Console.WriteLine(lowerString);
}

void sample3()
{
    var culture = System.Globalization.CultureInfo.CurrentCulture;
    Console.WriteLine($"カルチャ名        : {culture.Name}");
    Console.WriteLine($"短い日時の書式    : {culture.DateTimeFormat.ShortDatePattern}");
    Console.WriteLine($"長い日時の書式    : {culture.DateTimeFormat.FullDateTimePattern}");
    Console.WriteLine($"整数の桁区切り記号: {culture.NumberFormat.NumberGroupSeparator}");
    Console.WriteLine($"少数の桁区切り記号: {culture.NumberFormat.NumberDecimalSeparator}");
}

// 小文字・大文字の変換(ToUpper / ToLower)
sample1();

// 小文字・大文字の変換(ToUpperInvariant / ToLowerInvariant)
sample2();

// 現在のカルチャ情報を表示
sample3();
